GeographicLib 2.7

Loading...
Searching...
No Matches
MagneticCircle.hpp File Reference

Header for GeographicLib::MagneticCircle class. More...

`#include <vector>`
`#include <GeographicLib/Constants.hpp>`
`#include <GeographicLib/CircularEngine.hpp>`

Go to the source code of this file.

## Classes
class | GeographicLib::MagneticCircle
| Geomagnetic field on a circle of latitude. More...

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Detailed Description

Header for GeographicLib::MagneticCircle class.

Copyright (c) Charles Karney (2011-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file MagneticCircle.hpp.